diff -Nur openbsc.patched/src/abis_rsl.c openbsc.new/src/abis_rsl.c
--- openbsc.patched/src/abis_rsl.c	2009-05-31 12:59:25.000000000 +0200
+++ openbsc.new/src/abis_rsl.c	2009-06-01 13:42:11.000000000 +0200
@@ -738,28 +740,30 @@
 
 	switch (rslh->c.msg_type) {
 	case RSL_MT_CHAN_ACTIV_ACK:
-		DEBUGPC(DRSL, "CHANNEL ACTIVATE ACK ");
+		DEBUGPC(DRSL, "CHANNEL ACTIVATE ACK\n");
 		rc = rsl_rx_chan_act_ack(msg);
 		break;
 	case RSL_MT_CHAN_ACTIV_NACK:
-		DEBUGPC(DRSL, "CHANNEL ACTIVATE NACK ");
+		DEBUGPC(DRSL, "CHANNEL ACTIVATE NACK\n");
 		rc = rsl_rx_chan_act_nack(msg);
 		break;
 	case RSL_MT_CONN_FAIL:
+		DEBUGPC(DRSL, "\n");
 		rc = rsl_rx_conn_fail(msg);
 		break;
 	case RSL_MT_MEAS_RES:
+		DEBUGPC(DRSL, "\n");
 		rc = rsl_rx_meas_res(msg);
 		break;
 	case RSL_MT_RF_CHAN_REL_ACK:
-		DEBUGPC(DRSL, "RF CHANNEL RELEASE ACK ");
+		DEBUGPC(DRSL, "RF CHANNEL RELEASE ACK\n");
 		lchan_free(msg->lchan);
 		break;
 	case RSL_MT_MODE_MODIFY_ACK:
-		DEBUGPC(DRSL, "CHANNEL MODE MODIFY ACK ");
+		DEBUGPC(DRSL, "CHANNEL MODE MODIFY ACK\n");
 		break;
 	case RSL_MT_MODE_MODIFY_NACK:
-		DEBUGPC(DRSL, "CHANNEL MODE MODIFY NACK ");
+		DEBUGPC(DRSL, "CHANNEL MODE MODIFY NACK\n");
 		break;
 	case RSL_MT_PHY_CONTEXT_CONF:
 	case RSL_MT_PREPROC_MEAS_RES:
@@ -769,15 +773,14 @@
 	case RSL_MT_MR_CODEC_MOD_ACK:
 	case RSL_MT_MR_CODEC_MOD_NACK:
 	case RSL_MT_MR_CODEC_MOD_PER:
-		DEBUGPC(DRSL, "Unimplemented Abis RSL DChan msg 0x%02x ",
+		DEBUGPC(DRSL, "Unimplemented Abis RSL DChan msg 0x%02x\n",
 			rslh->c.msg_type);
 		break;
 	default:
-		DEBUGPC(DRSL, "unknown Abis RSL DChan msg 0x%02x ",
+		DEBUGPC(DRSL, "unknown Abis RSL DChan msg 0x%02x\n",
 			rslh->c.msg_type);
 		return -EINVAL;
 	}
-	DEBUGPC(DRSL, "\n");
 
 	return rc;
 }
@@ -788,6 +791,7 @@
 
 	DEBUGP(DRSL, "ERROR REPORT ");
 	print_rsl_cause(rslh->data);
+	DEBUGPC(DRSL, "\n");
 
 	return 0;
 }
@@ -881,7 +885,7 @@
 	ia.mob_alloc_len = 0;
 
 	DEBUGP(DRSL, "Activating ARFCN(%u) TS(%u) SS(%u) lctype %s "
-		"chan_nr=0x%02x r=%s\n ra=0x%02x\n",
+		"chan_nr=0x%02x r=%s ra=0x%02x\n",
 		arfcn, ts_number, subch, gsm_lchan_name(lchan->type),
 		ia.chan_desc.chan_nr, gsm_chreq_name(chreq_reason),
 		rqd_ref->ra);
diff -Nur openbsc.patched/src/gsm_04_08.c openbsc.new/src/gsm_04_08.c
--- openbsc.patched/src/gsm_04_08.c	2009-06-01 10:50:09.000000000 +0200
+++ openbsc.new/src/gsm_04_08.c	2009-06-01 13:36:42.000000000 +0200
@@ -567,7 +566,7 @@
 
 	mi_to_string(mi_string, sizeof(mi_string), lu->mi, lu->mi_len);
 
-	DEBUGP(DMM, "LUPDREQ: mi_type=0x%02x MI(%s) type=%s ", mi_type, mi_string,
+	DEBUGP(DMM, "LUPDREQ: mi_type=0x%02x MI(%s) type=%s\n", mi_type, mi_string,
 		lupd_name(lu->type));
 
 	allocate_loc_updating_req(lchan);
@@ -799,9 +795,9 @@
 	}
 
 	mi_to_string(mi_string, sizeof(mi_string), mi, mi_len);
-	subscr = subscr_get_by_tmsi(mi_string);
 	DEBUGPC(DMM, "serv_type=0x%02x mi_type=0x%02x M(%s)\n",
 		req->cm_service_type, mi_type, mi_string);
+	subscr = subscr_get_by_tmsi(mi_string);
 
 	/* FIXME: if we don't know the TMSI, inquire abit IMSI and allocate new TMSI */
 	if (!subscr)
@@ -833,18 +829,20 @@
 
 	switch (mi_type) {
 	case GSM_MI_TYPE_TMSI:
+		DEBUGPC(DMM, "\n");
 		subscr = subscr_get_by_tmsi(mi_string);
 		break;
 	case GSM_MI_TYPE_IMSI:
+		DEBUGPC(DMM, "\n");
 		subscr = subscr_get_by_imsi(mi_string);
 		break;
 	case GSM_MI_TYPE_IMEI:
 	case GSM_MI_TYPE_IMEISV:
 		/* no sim card... FIXME: what to do ? */
-		fprintf(stderr, "Unimplemented mobile identity type\n");
+		DEBUGPC(DMM, "unimplemented mobile identity type\n");
 		break;
 	default:	
-		fprintf(stderr, "Unknown mobile identity type\n");
+		DEBUGPC(DMM, "unknown mobile identity type\n");
 		break;
 	}
 
